Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class TaskDefImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.TaskDefImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.TaskDef

    @Entity
    public class TaskDefImpl

extends Object
implements org.kie.internal.task.api.model.TaskDef

See Also:
  Serialized Form

Constructor Summary
`TaskDefImpl()`
`TaskDefImpl(String name)`

Method Summary
`long` | `getId()`
`String` | `getName()`
`int` | `getPriority()`
`void` | `readExternal(ObjectInput in)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `setPriority(int priority)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskDefImpl

    public TaskDefImpl()

### TaskDefImpl

    public TaskDefImpl(String name)

Method Detail

### getId

    public long getId()

  Specified by:
    `getId` in interface `org.kie.internal.task.api.model.TaskDef`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.TaskDef`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.internal.task.api.model.TaskDef`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `org.kie.internal.task.api.model.TaskDef`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `org.kie.internal.task.api.model.TaskDef`

### setPriority

    public void setPriority(int priority)

  Specified by:
    `setPriority` in interface `org.kie.internal.task.api.model.TaskDef`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.